| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::IFileCatalog Class Reference

`#include <GaudiUtils/IFileCatalog.h>`

Inheritance diagram for Gaudi::IFileCatalog:

[legend]
Collaboration diagram for Gaudi::IFileCatalog:

[legend]
List of all members.

## Detailed Description

File catalog interface.

Resolve file ids, physical and logical file names.

Author:
  M.Frank

Version:
  1.0

Date:
  20/10/2007

Definition at line 27 of file IFileCatalog.h.

## Public Types
typedef std::pair< std::string, std::string > | NamedItem
| Public type definitions.
typedef std::vector< NamedItem > | Attributes
typedef std::vector< NamedItem > | Files
typedef std::vector< std::string > | Strings
## Public Member Functions
virtual std::string | createFID () const=0
| Create file identifier using UUID mechanism.
virtual const std::string & | connectInfo () const=0
| Access to connect string.
virtual void | init ()=0
| Parse the DOM tree of the XML catalog.
virtual void | commit ()=0
| Save catalog to file.
virtual void | rollback ()=0
| Save catalog to file.
virtual bool | readOnly () const=0
| Check if the catalog is read-only.
virtual bool | dirty () const=0
| Check if the catalog should be updated.
virtual void | getPFN (const std::string &fid, Files &files) const=0
| Dump all PFNames of the catalog and their attributes associate to the FileID.
virtual void | getLFN (const std::string &fid, Files &files) const=0
| Dump all LFNames of the catalog associate to the FileID.
virtual void | getFID (Strings &fids) const =0
| Dump all file Identifiers.
virtual bool | existsPFN (const std::string &pfn) const =0
| Return the status of a PFName.
virtual std::string | lookupPFN (const std::string &lfn) const =0
| Lookup file identifier by physical file name.
virtual bool | existsLFN (const std::string &lfn) const =0
| Return the status of a LFName.
virtual std::string | lookupLFN (const std::string &lfn) const =0
| Lookup file identifier by physical file name.
virtual bool | existsFID (const std::string &fid) const =0
| Return the status of a FileID.
virtual void | deleteFID (const std::string &FileID) const =0
| Delete FileID Node from the catalog.
virtual void | registerPFN (const std::string &fid, const std::string &pfn, const std::string &ftype) const =0
| Create a Node for a FileID and DOM Node of the PFN with all the attributes.
virtual void | registerLFN (const std::string &fid, const std::string &lfn) const =0
| Create a Node for a FileID and DOM Node of the LFN with all the attributes.
virtual void | registerFID (const std::string &fid) const =0
| Create a Node for a FileID and DOM Node.
virtual void | getMetaData (const std::string &fid, Attributes &attr) const =0
| Dump all MetaData of the catalog for a given file ID.
virtual std::string | getMetaDataItem (const std::string &fid, const std::string &name) const =0
| Access metadata item.
virtual void | setMetaData (const std::string &fid, const std::string &name, const std::string &value) const =0
| Insert/update metadata item.
virtual void | dropMetaData (const std::string &fid) const =0
| Drop all metadata of one FID.
virtual void | dropMetaData (const std::string &fid, const std::string &attr) const =0
| Drop specified metadata item.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Typedef Documentation

typedef std::pair<std::string,std::string> Gaudi::IFileCatalog::NamedItem

Public type definitions.

Definition at line 31 of file IFileCatalog.h.

typedef std::vector<NamedItem> Gaudi::IFileCatalog::Attributes

Definition at line 32 of file IFileCatalog.h.

typedef std::vector<NamedItem> Gaudi::IFileCatalog::Files

Definition at line 33 of file IFileCatalog.h.

typedef std::vector<std::string> Gaudi::IFileCatalog::Strings

Definition at line 34 of file IFileCatalog.h.

## Member Function Documentation

static const InterfaceID& Gaudi::IFileCatalog::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Definition at line 38 of file IFileCatalog.h.

References IID_IFileCatalog, and interfaceID().

Referenced by interfaceID().

    00038 { return IID_IFileCatalog; }

virtual std::string Gaudi::IFileCatalog::createFID | ( |  | ) | const`[pure virtual]`

Create file identifier using UUID mechanism.

Implemented in Gaudi::MultiFileCatalog, and Gaudi::XMLFileCatalog.

virtual const std::string& Gaudi::IFileCatalog::connectInfo | ( |  | ) | const`[pure virtual]`

Access to connect string.

Implemented in Gaudi::MultiFileCatalog, and Gaudi::XMLFileCatalog.

virtual void Gaudi::IFileCatalog::init | ( |  | ) | `[pure virtual]`

Parse the DOM tree of the XML catalog.

Implemented in Gaudi::MultiFileCatalog, and Gaudi::XMLFileCatalog.

virtual void Gaudi::IFileCatalog::commit | ( |  | ) | `[pure virtual]`

Save catalog to file.

Implemented in Gaudi::MultiFileCatalog, and Gaudi::XMLFileCatalog.

virtual void Gaudi::IFileCatalog::rollback | ( |  | ) | `[pure virtual]`

Save catalog to file.

Implemented in Gaudi::MultiFileCatalog, and Gaudi::XMLFileCatalog.

virtual bool Gaudi::IFileCatalog::readOnly | ( |  | ) | const`[pure virtual]`

Check if the catalog is read-only.

Implemented in Gaudi::MultiFileCatalog, and Gaudi::XMLFileCatalog.

virtual bool Gaudi::IFileCatalog::dirty | ( |  | ) | const`[pure virtual]`

Check if the catalog should be updated.

Implemented in Gaudi::MultiFileCatalog, and Gaudi::XMLFileCatalog.

virtual void Gaudi::IFileCatalog::getPFN | ( | const std::string & | fid,
|  | Files & | files |
| ) |  |  | const`[pure virtual]`

Dump all PFNames of the catalog and their attributes associate to the FileID.

virtual void Gaudi::IFileCatalog::getLFN | ( | const std::string & | fid,
|  | Files & | files |
| ) |  |  | const`[pure virtual]`

Dump all LFNames of the catalog associate to the FileID.

virtual void Gaudi::IFileCatalog::getFID | ( | Strings & | fids | ) | const`[pure virtual]`

Dump all file Identifiers.

Implemented in Gaudi::MultiFileCatalog, and Gaudi::XMLFileCatalog.

virtual bool Gaudi::IFileCatalog::existsPFN | ( | const std::string & | pfn | ) | const`[pure virtual]`

Return the status of a PFName.

virtual std::string Gaudi::IFileCatalog::lookupPFN | ( | const std::string & | lfn | ) | const`[pure virtual]`

Lookup file identifier by physical file name.

virtual bool Gaudi::IFileCatalog::existsLFN | ( | const std::string & | lfn | ) | const`[pure virtual]`

Return the status of a LFName.

virtual std::string Gaudi::IFileCatalog::lookupLFN | ( | const std::string & | lfn | ) | const`[pure virtual]`

Lookup file identifier by physical file name.

virtual bool Gaudi::IFileCatalog::existsFID | ( | const std::string & | fid | ) | const`[pure virtual]`

Return the status of a FileID.

virtual void Gaudi::IFileCatalog::deleteFID | ( | const std::string & | FileID | ) | const`[pure virtual]`

Delete FileID Node from the catalog.

Referenced by Gaudi::MultiFileCatalog::deleteFID().

virtual void Gaudi::IFileCatalog::registerPFN | ( | const std::string & | fid,
|  | const std::string & | pfn,
|  | const std::string & | ftype |
| ) |  |  | const`[pure virtual]`

Create a Node for a FileID and DOM Node of the PFN with all the attributes.

virtual void Gaudi::IFileCatalog::registerLFN | ( | const std::string & | fid,
|  | const std::string & | lfn |
| ) |  |  | const`[pure virtual]`

Create a Node for a FileID and DOM Node of the LFN with all the attributes.

virtual void Gaudi::IFileCatalog::registerFID | ( | const std::string & | fid | ) | const`[pure virtual]`

Create a Node for a FileID and DOM Node.

Referenced by Gaudi::MultiFileCatalog::registerFID().

virtual void Gaudi::IFileCatalog::getMetaData | ( | const std::string & | fid,
|  | Attributes & | attr |
| ) |  |  | const`[pure virtual]`

Dump all MetaData of the catalog for a given file ID.

virtual std::string Gaudi::IFileCatalog::getMetaDataItem | ( | const std::string & | fid,
|  | const std::string & | name |
| ) |  |  | const`[pure virtual]`

Access metadata item.

virtual void Gaudi::IFileCatalog::setMetaData | ( | const std::string & | fid,
|  | const std::string & | name,
|  | const std::string & | value |
| ) |  |  | const`[pure virtual]`

Insert/update metadata item.

Referenced by Gaudi::MultiFileCatalog::setMetaData().

virtual void Gaudi::IFileCatalog::dropMetaData | ( | const std::string & | fid | ) | const`[pure virtual]`

Drop all metadata of one FID.

Referenced by Gaudi::MultiFileCatalog::dropMetaData().

virtual void Gaudi::IFileCatalog::dropMetaData | ( | const std::string & | fid,
|  | const std::string & | attr |
| ) |  |  | const`[pure virtual]`

Drop specified metadata item.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiUtils/v2r0/GaudiUtils/IFileCatalog.h